<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/util.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>util.h</h1><a href="util_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: util.h 2962 2010-02-04 19:50:44Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef UTIL_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define UTIL_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="keywordtype">int</span> <a class="code" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3">ascat</a>(<span class="keywordtype">int</span> **aindata,<span class="keywordtype">int</span> n_items,<span class="keywordtype">int</span> s_item,<span class="keywordtype">int</span> *newproc,<span class="keywordtype">int</span> insize,<span class="keywordtype">int</span> send);
<a name="l00032"></a>00032 <span class="keywordtype">int</span> <a class="code" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9">AreaCal</a>(Mat AIpol, PetscReal *p_area);
<a name="l00033"></a>00033 <span class="keywordtype">int</span> <a class="code" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369">AxesRotation</a>(PetscReal *slice_p,PetscReal *slice_n,PetscReal *axes1,<span class="keywordtype">int</span> inv,<span class="keywordtype">int</span> n_vert,PetscReal *vertxyz,PetscReal *vertxyz2);
<a name="l00034"></a>00034 <span class="keywordtype">int</span> <a class="code" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90">barycent</a>(PetscReal *p,PetscReal *a,PetscReal *b,PetscReal *c,PetscReal *d,PetscReal *bary);
<a name="l00035"></a>00035 <span class="keywordtype">int</span> <a class="code" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e">bbox2</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,PetscReal *vertxyz2,<span class="keywordtype">int</span> n_prop,<span class="keywordtype">int</span> *propid,PetscReal *bbox,<span class="keywordtype">int</span> *pix);
<a name="l00036"></a>00036 <span class="keywordtype">int</span> <a class="code" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5">calcbbox</a>(<span class="keywordtype">int</span> n_ele,<span class="keywordtype">int</span> *elevert,<span class="keywordtype">int</span> *eleprop,PetscReal *vertxyz2,<span class="keywordtype">int</span> n_pids,<span class="keywordtype">int</span> *slice_id,PetscReal *bbox);
<a name="l00037"></a>00037 <span class="keywordtype">int</span> <a class="code" href="cart2sphere_8c.html#aac1a7d4f53770aebf3759a36a9d384b6">Cart2SphereDiff</a>(Vec C,Vec X,Vec S);
<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882">Cart2Sphere</a>(Vec C,Vec S);
<a name="l00039"></a>00039 <span class="keywordtype">int</span> <a class="code" href="calAfe2fe_8c.html#a7613b5168812007047e19cf17cc3efa1">CalAfe2fe</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,PetscReal *shift,<span class="keywordtype">int</span> *slice_id,Mat *pAIpol);
<a name="l00040"></a>00040 <span class="keywordtype">int</span> <a class="code" href="calAsq2fe_8c.html#ad998956cea43bafdea933b9d7df03198">CalAsq2fe</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,PetscReal *vertxyz2,PetscReal *bbox,<span class="keywordtype">int</span> *pix,<span class="keywordtype">int</span> slice_id,Mat *AIpol);
<a name="l00041"></a>00041 <span class="keywordtype">int</span> <a class="code" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e">CalAfe2sq</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,PetscReal *vertxyz2,PetscReal *bbox,<span class="keywordtype">int</span> *pix,<span class="keywordtype">int</span> slice_id,Mat *AIpol);
<a name="l00042"></a>00042 <span class="keywordtype">int</span> <a class="code" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b">distint</a>(<span class="keywordtype">int</span> from,<span class="keywordtype">int</span> to,<span class="keywordtype">int</span> a);
<a name="l00043"></a>00043 <span class="keywordtype">int</span> <a class="code" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377">DistortVec</a>(PetscRandom rctx,Vec v,PetscReal distpar);
<a name="l00044"></a>00044 <span class="keywordtype">int</span> <a class="code" href="distpointline_8c.html#ac72e65a2b520879279f161bdba479892">DistPointLine</a>(PetscReal *point,PetscReal *linepoint,PetscReal *linevec,PetscReal *dist);
<a name="l00045"></a>00045 PetscScalar <a class="code" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9">getscalf</a>(PetscReal tfdata[],PetscReal time);
<a name="l00046"></a>00046 <span class="keywordtype">int</span> <a class="code" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a">matcreateseqadj</a>(<span class="keywordtype">int</span> nvert,<span class="keywordtype">int</span> nele,<span class="keywordtype">int</span> *elevert,Mat *mat);
<a name="l00047"></a>00047 <span class="keywordtype">int</span> <a class="code" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a">matviewstruct</a>(MPI_Comm comm,Mat mat);
<a name="l00048"></a>00048 <span class="keywordtype">int</span> <a class="code" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270">Mesh2Dual</a>(<span class="keywordtype">int</span> n_ele, <span class="keywordtype">int</span> n_vert, <span class="keywordtype">int</span> *elevert, <span class="keywordtype">int</span> **ia, <span class="keywordtype">int</span> **ja);
<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="mesh2dual_8c.html#a6210ae7524754edb5738f9516cb92654">Mesh2Dual2</a>(<span class="keywordtype">int</span> n_ele, <span class="keywordtype">int</span> n_vert, <span class="keywordtype">int</span> *elevert, <span class="keywordtype">int</span> **ia, <span class="keywordtype">int</span> **ja);
<a name="l00050"></a>00050 <span class="keywordtype">int</span> <a class="code" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434">Mesh2Nodal</a>(<span class="keywordtype">int</span> n_ele, <span class="keywordtype">int</span> n_vert, <span class="keywordtype">int</span> *elevert, <span class="keywordtype">int</span> **ia, <span class="keywordtype">int</span> **ja);
<a name="l00051"></a>00051 <span class="keywordtype">int</span> <a class="code" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b">Mesh2VertEle</a>(<span class="keywordtype">int</span> n_ele, <span class="keywordtype">int</span> n_vert, <span class="keywordtype">int</span> *elevert, <span class="keywordtype">int</span> **ia, <span class="keywordtype">int</span> **ja);
<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e">PointFromPlane</a>(PetscReal *x, PetscReal *v1, PetscReal *v2, PetscReal *v3, PetscReal *d);
<a name="l00053"></a>00053 <span class="keywordtype">int</span> <a class="code" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064">PrintMatInfo</a>(Mat A,MatInfoType flag);
<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f">PrintMatInfoAll</a>(Mat A);
<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d">ProgressBar</a>(<span class="keywordtype">int</span> cur,<span class="keywordtype">int</span> max,<span class="keywordtype">int</span> ival);
<a name="l00056"></a>00056 <span class="keywordtype">int</span> <a class="code" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d">readht</a>(FILE *fd,PetscReal **indata,<span class="keyword">const</span> <span class="keywordtype">int</span> col);
<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="ipol_8c.html#a66bd89f21bd6d58d24a7b7d7da8b5841">readxy</a>(FILE *fd,<span class="keyword">const</span> <span class="keywordtype">int</span> colx,<span class="keyword">const</span> <span class="keywordtype">int</span> coly,<span class="keywordtype">int</span> *n_rows,PetscReal **indata);
<a name="l00058"></a>00058 PetscReal <a class="code" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4">RenormVec</a>(Vec v,PetscReal normset,PetscReal normtol,<span class="keywordtype">int</span> dim);
<a name="l00059"></a>00059 <span class="keywordtype">int</span> <a class="code" href="area_8c.html#ad881c6e71023a337d9a87f59d207106c">PidSharedArea</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,<span class="keywordtype">int</span> pid1,<span class="keywordtype">int</span> pid2,PetscReal *sharedarea_area,PetscReal *sharedarea_point,PetscReal *sharedarea_norm);
<a name="l00060"></a>00060 <span class="keywordtype">int</span> <a class="code" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f">SolidAngle</a>(PetscScalar *x,PetscScalar *v1,PetscScalar *v2,PetscScalar *v3,PetscScalar *omega);
<a name="l00061"></a>00061 <span class="keywordtype">int</span> <a class="code" href="cart2sphere_8c.html#a2f8d6af80c328b771a233e4912be1835">Sphere2Cart</a>(Vec S,Vec C);
<a name="l00062"></a>00062 <span class="keywordtype">int</span> <a class="code" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423">SynchronizedFastFPrintf</a>(FILE *fd,<span class="keywordtype">int</span> nchars,<span class="keywordtype">int</span> nmax,<span class="keywordtype">char</span> *wbufs,PetscTruth zip);
<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1">tetnb</a>(<span class="keywordtype">int</span> *tet1, <span class="keywordtype">int</span> *tet2, <span class="keywordtype">int</span> *vshared);
<a name="l00064"></a>00064 PetscReal <a class="code" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d">tetvol</a>(PetscReal *x1,PetscReal *x2,PetscReal *x3,PetscReal *x4);
<a name="l00065"></a>00065 PetscReal <a class="code" href="tettri_8c.html#a3ea39ff11354754297822b91f4922d52">triarea</a>(PetscReal *v0,PetscReal *v1,PetscReal *v2,PetscReal *n);
<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="tettri_8c.html#a62d7f69412ba9d0be81b6d815062456b">TetSharedVertices</a>(<span class="keywordtype">int</span> *v1,<span class="keywordtype">int</span> *v2,<span class="keywordtype">int</span> *s);
<a name="l00067"></a>00067 <span class="keywordtype">int</span> <a class="code" href="util_8h.html#aa88f92d349ee3335807573e6ff373963">VecSetVec</a>(Vec vec,PetscScalar *vec3,<span class="keywordtype">int</span> dim);
<a name="l00068"></a>00068 
<a name="l00069"></a>00069 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

